QGIS Application - Bug report #12086
Style doesn’t update on split multipart when editing
2015-01-28 10:26 PM - Pierre-Luc Auclair

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 20282
Description

When editing a layer, if you turn a multipart into normal features then change an attribute, style doesn't update when changed, and the
property in Identify doesn't change either.

See video:
https://www.youtube.com/watch?v=AH4p3VgjMTc&#38;feature=youtu.be

History

#1 - 2015-01-28 11:02 PM - Denis Rouzaud
- Status changed from Open to Feedback

| suppose this bug is related to a plugin.
You should report the bug on the plugin tracker:

https://issues.qgis.org/projects/multipartsplit/issues

By the way, what is "multipart"? It's a field?

If it's a postgis database and multipart is calculated, you need to commit before seeing a change in it.

#2 - 2015-01-28 11:09 PM - Pierre-Luc Auclair

Yes, | have a few hundred features that | need to make sure are multipart for a good reason.. It's the way | keep track of which I've verified. File format is

shape file

Why is it that most of the "parts" of the multipart do change, except one, without saving then?

You're right, | totally forgot that was a plugin, I'll submit it on its tracker and see what's up. Thanks

#3 - 2015-01-29 07:54 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed
